This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 803655 - nfs-nlm:[3.3.0qa28]cthon lock test fails
nfs-nlm:[3.3.0qa28]cthon lock test fails
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
pre-release
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Vinayaga Raman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 07:14 EDT by Saurabh
Modified: 2016-01-19 01:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-02 06:26:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-03-15 07:14:35 EDT
Description of problem:
cthon lock test fails on 3.3.0qa28

Version-Release number of selected component (if applicable):

3.3.0qa28
How reproducible:
always

Steps to Reproduce:
1.execute the cthon lock tests
2.
3.
  
Actual results:
the tests fails while updating the nfs.log file with this message,
[2012-03-15 07:09:58.229427] E [socket.c:2443:socket_getpeeraddr] (-->/root/330/inst/lib/glusterfs/3.3.0qa28/xlator/nfs/server.so(mnt3svc_umnt+0x2de) [0x7f02102c4375] (-->/root/330/inst/lib/libgfrpc.so.0(rpcsvc_transport_peeraddr+0x4a) [0x7f02155a1e9f] (-->/root/330/inst/lib/libgfrpc.so.0(rpc_transport_get_peeraddr+0xb0) [0x7f02155a48d3]))) 0-socket: invalid argument: sa
[2012-03-15 07:09:58.229495] E [mount3.c:1197:mnt3svc_umnt] 0-nfs-mount: Failed to get remote addr: Bad value for ai_flags
[2012-03-15 07:10:18.624760] E [nlm4.c:1247:nlm4_lock_fd_resume] 0-nfs-NLM: Unable to resolve FH: (10.1.11.161:817) dist-rep1 : 7dba1bd4-74b8-412a-901b-df6310a40bb5
[2012-03-15 07:10:18.624801] E [nlm4.c:1268:nlm4_lock_fd_resume] 0-nfs-NLM: unable to call lk()
[2012-03-15 07:10:18.634783] E [nlm4.c:1600:nlm4_unlock_resume] 0-nfs-NLM: fd_lookup_uint64() returned NULL
[2012-03-15 07:10:18.634807] E [nlm4.c:1607:nlm4_unlock_resume] 0-nfs-NLM: unable to unlock_fd_resume



Expected results:
The tests should pass

Additional info:

[root@RHSSA1 cthon04]# ./server -l -o vers=3 -p dist-rep1 -m /mnt/nfs-test 10.1.11.160
Start tests on path /mnt/nfs-test/RHSSA1.test [y/n]? y

sh ./runtests  -l -t /mnt/nfs-test/RHSSA1.test

Starting LOCKING tests: test directory /mnt/nfs-test/RHSSA1.test (arg: -t)

Testing native post-LFS locking

Creating parent/child synchronization pipes.

Test #1 - Test regions of an unlocked file.
        Parent: 1.1  - F_TEST  [               0,               1] PASSED.
        Parent: 1.2  - F_TEST  [               0,          ENDING] PASSED.
        Parent: 1.3  - F_TEST  [               0,7fffffffffffffff] PASSED.
        Parent: 1.4  - F_TEST  [               1,               1] PASSED.
        Parent: 1.5  - F_TEST  [               1,          ENDING] PASSED.
        Parent: 1.6  - F_TEST  [               1,7fffffffffffffff] PASSED.
        Parent: 1.7  - F_TEST  [7fffffffffffffff,               1] PASSED.
        Parent: 1.8  - F_TEST  [7fffffffffffffff,          ENDING] PASSED.
        Parent: 1.9  - F_TEST  [7fffffffffffffff,7fffffffffffffff] PASSED.

Test #2 - Try to lock the whole file.
        Parent: 2.0  - F_TLOCK [               0,          ENDING] PASSED.
        Child:  2.1  - F_TEST  [               0,               1] PASSED.
        Child:  2.2  - F_TEST  [               0,          ENDING] PASSED.
        Child:  2.3  - F_TEST  [               0,7fffffffffffffff] PASSED.
        Child:  2.4  - F_TEST  [               1,               1] PASSED.
        Child:  2.5  - F_TEST  [               1,          ENDING] PASSED.
        Child:  2.6  - F_TEST  [               1,7fffffffffffffff] PASSED.
        Child:  2.7  - F_TEST  [7fffffffffffffff,               1] PASSED.
        Child:  2.8  - F_TEST  [7fffffffffffffff,          ENDING] PASSED.
        Child:  2.9  - F_TEST  [7fffffffffffffff,7fffffffffffffff] PASSED.
        Parent: 2.10 - F_ULOCK [               0,          ENDING] FAILED!
        Parent: **** Expected success, returned errno=37...
        Parent: **** Probably implementation error.

** PARENT pass 1 results: 10/10 pass, 0/0 warn, 1/1 fail (pass/total).

**  CHILD pass 1 results: 9/9 pass, 0/0 warn, 0/0 fail (pass/total).
lock tests failed
Tests failed, leaving /mnt/nfs-test mounted
[root@RHSSA1 cthon04]#
Comment 1 Krishna Srinivas 2012-03-19 08:03:15 EDT
Checked with saurabh that it is working fine now. It might have been a configuration issue then.

Note You need to log in before you can comment on or make changes to this bug.